# Class AdvancedTableUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.TableUI
javax.swing.plaf.basic.BasicTableUI
jam.table.AdvancedTableUI

public class AdvancedTableUI extends BasicTableUI

Author:
  rambaut Date: Oct 20, 2004 Time: 10:16:52 PM

## Nested Class Summary

### Nested classes/interfaces inherited from class BasicTableUI

`BasicTableUI.FocusHandler, BasicTableUI.KeyHandler, BasicTableUI.MouseInputHandler`

## Constructor Summary

Constructors
Constructor
Description
`AdvancedTableUI()`

## Method Summary

Modifier and Type
Method
Description
`void`
`installUI(JComponent c)`

### Methods inherited from class BasicTableUI

`createUI, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, uninstallUI`

### Methods inherited from class ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdvancedTableUI

public AdvancedTableUI()

## Method Details

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `BasicTableUI`